
package com.tmerclub.cloud.supplier.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;


/**
 * 工商信息审核记录
 *
 * @author chiley
 * @date 2022/9/1 15:52
 */
public class SupplierCompanyAuditing extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 工商信息审核id
     */
    private Long companyAuditingId;

    /**
     * 申请人id
     */
    private Long userId;

    /**
     * 供应商id
     */
    private Long supplierId;

    /**
     * 工商信息id
     */
    private Long supplierCompanyId;
    /**
     * 审核人id
     */
    private Long auditorId;

    /**
     * 0 未审核 1已通过 -1未通过
     */
    private Integer status;

    /**
     * 备注
     */
    private String remarks;

    public Long getCompanyAuditingId() {
        return companyAuditingId;
    }

    public void setCompanyAuditingId(Long companyAuditingId) {
        this.companyAuditingId = companyAuditingId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public Long getSupplierCompanyId() {
        return supplierCompanyId;
    }

    public void setSupplierCompanyId(Long supplierCompanyId) {
        this.supplierCompanyId = supplierCompanyId;
    }

    public Long getAuditorId() {
        return auditorId;
    }

    public void setAuditorId(Long auditorId) {
        this.auditorId = auditorId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    @Override
    public String toString() {
        return "SupplierCompanyAuditing{" +
                "companyAuditingId=" + companyAuditingId +
                ", userId='" + userId + '\'' +
                ", supplierId=" + supplierId +
                ", supplierCompanyId=" + supplierCompanyId +
                ", auditorId=" + auditorId +
                ", status=" + status +
                ", remarks='" + remarks + '\'' +
                '}';
    }
}
